Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0035575
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[Openbravo ERP] 09. Financial managementmajoralways2017-03-17 14:012017-03-30 11:36
ReportermaiteView Statuspublic 
Assigned Tomarkmm82 
PriorityimmediateResolutionfixedFixed in Version3.0PR17Q1.1
StatusclosedFix in branchFixed in SCM revision6688edca1b60
ProjectionnoneETAnoneTarget Version3.0PR17Q1.1
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toaferraz
Web browser
ModulesCore
Regression levelProduction - Confirmed Stable
Regression date2015-04-24
Regression introduced in release3.0PR15Q3
Regression introduced by commithttps://code.openbravo.com/erp/devel/pi/rev/1881cfa4bb9c [^]
Triggers an Emergency PackNo
Summary

0035575: "Adjustment Period" not used when posting a GL Journal

DescriptionIn case Adjustment Period is defined for your calendar and user tries to post gl journal document in that period it is not properly done
Steps To Reproduce1. Access Fiscal Calendar "US Calendar", go to Year 2017 and create new Period named "adjustment period", starting date=ending date=31-12-2017 and type= adjustment perio"
2. Access Open/Close period control window filter by "US Calendar" and "2017" year and run "Open period" process in adjustment period
3. Register GL Journal for "F&B US East Coast" organization, Date=31-12-2017, period= adjustment period and currency=USD
4. Add header setting "F&B International Group US/A/US Dollar" general ledger and verify that adjustment period is set
5. Add line for any account and any debit amount
6. Add another line for different account and same credit amount
7. Process header and post it
8. Access "Accounting transaction details" window and verify that period set is "Dec-17" instead of "adjustment period"

Moreover, you can verify that if you unpost journal, close Dec-17 period and try to post it again you will receive "Period closed" error. So period set in GL Journal document is not being considered
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 0035560 closedmarkmm82 "Adjustment Period" not used when posting a GL Journal 

-  Notes
(0095442)
hgbot (developer)
2017-03-20 18:56

Repository: erp/backports/3.0PR17Q1.1
Changeset: 6688edca1b605f54f7d822fae0ccd706a2926f04
Author: Mark <markmm82 <at> gmail.com>
Date: Mon Mar 20 13:14:16 2017 -0400
URL: http://code.openbravo.com/erp/backports/3.0PR17Q1.1/rev/6688edca1b605f54f7d822fae0ccd706a2926f04 [^]

Fixes issue 35575: "Adjustment Period" not used when posting a GL Journal

In case Adjustment Period was defined for a calendar and user tries to post gl journal document in that period it was not properly done.

It was fixed re-structuring the affected queries using the C_PERIOD_ID column of GL_JOURNAL and C_PERIOD tables, always retrieving this value as C_PERIOD_ID instead of "period" alias

---
M src/org/openbravo/erpCommon/ad_forms/DocGLJournal_data.xsql
---
(0095695)
hgbot (developer)
2017-03-30 11:35

Repository: erp/backports/3.0PR17Q1.1
Changeset: 83fdc86f6bff3eae801dc18043631689896d980f
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Thu Mar 30 10:25:21 2017 +0200
URL: http://code.openbravo.com/erp/backports/3.0PR17Q1.1/rev/83fdc86f6bff3eae801dc18043631689896d980f [^]

Related to issue 35575: Code review improvements

Backout fixes of issues 35575 & 28973 and fix issue 28973 properly:
DocGLJournal.isperiodOpen method was not correctly checking if DocGLJournalData.periodOpen retrieves no period.

---
M src/org/openbravo/erpCommon/ad_forms/DocGLJournal.java
M src/org/openbravo/erpCommon/ad_forms/DocGLJournal_data.xsql
---
(0095698)
aferraz (developer)
2017-03-30 11:36

Code review + Testing OK

- Issue History
Date Modified Username Field Change
2017-03-20 15:00 markmm82 Type defect => backport
2017-03-20 15:00 markmm82 Target Version => 3.0PR17Q1.1
2017-03-20 18:56 hgbot Checkin
2017-03-20 18:56 hgbot Note Added: 0095442
2017-03-20 18:56 hgbot Status scheduled => resolved
2017-03-20 18:56 hgbot Resolution open => fixed
2017-03-20 18:56 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/backports/3.0PR17Q1.1/rev/6688edca1b605f54f7d822fae0ccd706a2926f04 [^]
2017-03-20 19:06 markmm82 Assigned To luisrs8608 => markmm82
2017-03-20 19:08 markmm82 Review Assigned To => markmm82
2017-03-20 19:08 markmm82 Note Added: 0095445
2017-03-20 19:08 markmm82 Status resolved => closed
2017-03-20 19:08 markmm82 Fixed in Version => 3.0PR17Q1.1
2017-03-30 09:23 aferraz Review Assigned To markmm82 => aferraz
2017-03-30 11:35 hgbot Checkin
2017-03-30 11:35 hgbot Note Added: 0095695
2017-03-30 11:36 aferraz Note Deleted: 0095445
2017-03-30 11:36 aferraz Note Added: 0095698


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker